#### basic_system_executor::dispatch

Request the system executor to invoke the given function object.

    template<
        typename Function,
        typename OtherAllocator>
    void dispatch(
        Function && f,
        const OtherAllocator & a) const;

This function is used to ask the executor to execute the given function object. The function object will always be executed inside this function.

###### Parameters

f

  The function object to be called. The executor will make a copy of the handler object as required. The function signature of the function object must be:

      void function();

a

  An allocator that may be used by the executor to allocate the internal storage needed for function invocation.